Page MenuHomePhabricator

AutoloadGenerator.php doesn't update extension.json and skin.json
Closed, ResolvedPublic

Description

Echo, Flow, and a few other extensions use core's includes/utils/AutoloadGenerator.php to generate an autoload.php file that appends to $wgAutoloadClasses. As we convert to extension registration, this should be adapted to, e.g. load extension.json file, add the class map to its "AutoloadClasses" key, and write out the new extension.json.

Event Timeline

Spage updated the task description. (Show Details)
Spage raised the priority of this task from to Needs Triage.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2015, 12:50 AM
Aklapper triaged this task as Normal priority.Feb 2 2015, 6:29 PM
Legoktm set Security to None.

Hi! I am new here and want to work on this task. A doubt: Is the script supposed to do something other than what it is currently doing, if extension.json does not exist?

Hi! I am new here and want to work on this task. A doubt: Is the script supposed to do something other than what it is currently doing, if extension.json does not exist?

Hi! Sorry I missed you on IRC. So I was imagining that AutoloadGenerator::generateAutoload() would check to see if a extension.json exists, and update it if that was the case. Otherwise it'll just update autoload.php if that file exists..

Change 213468 had a related patch set uploaded (by Galorefitz):
AutoloadGenerator.php: Update 'AutoloadClasses' in extension.json

https://gerrit.wikimedia.org/r/213468

Change 213468 merged by jenkins-bot:
AutoloadGenerator.php: Update 'AutoloadClasses' in extension.json

https://gerrit.wikimedia.org/r/213468

Galorefitz closed this task as Resolved.Jun 11 2015, 7:12 AM
Galorefitz removed a project: Patch-For-Review.

Change 217590 had a related patch set uploaded (by Paladox):
AutoloadGenerator.php: Update 'AutoloadClasses' in extension.json

https://gerrit.wikimedia.org/r/217590

Change 217768 had a related patch set uploaded (by Mattflaschen):
Also support skin.json for updating JSON AutoloadClasses

https://gerrit.wikimedia.org/r/217768

Change 217590 abandoned by Legoktm:
AutoloadGenerator.php: Update 'AutoloadClasses' in extension.json

Reason:
Doesn't need to be backported

https://gerrit.wikimedia.org/r/217590

Mattflaschen-WMF reopened this task as Open.Jun 22 2015, 6:56 AM

skin.json is not merged.

Ricordisamoa renamed this task from AutoloadGenerator.php doesn't update extension.json to AutoloadGenerator.php doesn't update extension.json and skin.json.Jun 22 2015, 8:23 AM

Change 217768 merged by jenkins-bot:
Also support skin.json for updating JSON AutoloadClasses

https://gerrit.wikimedia.org/r/217768

Legoktm closed this task as Resolved.Jun 25 2015, 7:20 AM
J5lx added a subscriber: J5lx.Sep 3 2015, 8:49 PM